Debian Bug report logs - #611794
live-build: Doesn't upgrade properly from 2.0.11-1

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Didier Raboud <odyx@debian.org>

Date: Wed, 2 Feb 2011 10:21:04 UTC

Severity: serious

Found in version live-build/2.0.12-1

Fixed in version live-build/2.0.12-2

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#611794; Package live-build. (Wed, 02 Feb 2011 10:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 02 Feb 2011 10:21:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build: Doesn't upgrade properly from 2.0.11-1
Date: Wed, 02 Feb 2011 11:19:36 +0100
Package: live-build
Version: 2.0.12-1
Severity: serious

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi dear live-build maintainers, 

while trying to upgrade live-build from 2.0.11-1 to 2.0.12-1, I encountered
the following error:

$ LANG=C sudo apt-get upgrade live-build 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages will be upgraded:
  live-build
1 upgraded, 0 newly installed, 0 to remove and 69 not upgraded.
3 not fully installed or removed.
Need to get 0 B/1987 kB of archives.
After this operation, 1769 kB of additional disk space will be used.
Do you want to continue [Y/n]? 
Reading changelogs...
(Reading database ... 269449 files and directories currently installed.)
Preparing to replace live-build 2.0.11-1 (using .../live-build_2.0.12-1_all.deb) ...
Unpacking replacement live-build ...
dpkg: error processing /var/cache/apt/archives/live-build_2.0.12-1_all.deb (--unpack):
 unable to open '/usr/share/live/build/includes/squeeze/common/doc/bug-maint-mailcontrol.txt.dpkg-new': No such file or directory
configured to not write apport reports
                                      Processing triggers for man-db ...
Errors were encountered while processing:
 /var/cache/apt/archives/live-build_2.0.12-1_all.deb
N: Ignoring file '10_apt-proxy.list.dis' in directory '/etc/apt/sources.list.d/' as it has an invalid filename extension
N: Ignoring file '30_local_pbuilder.list.dis' in directory '/etc/apt/sources.list.d/' as it has an invalid filename extension
E: Sub-process /usr/bin/dpkg returned an error code (1)


Cheers, 

OdyX


- -- Package-specific info:

- -- System Information:
Debian Release: 6.0
  APT prefers unstable
  APT policy: (750, 'unstable'), (700, 'testing-proposed-updates'), (700, 'testing'), (101, 'testing-proposed-updates'), (101, 'experimental'), (101, 'unstable'), (101, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.37-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_CH.UTF-8, LC_CTYPE=fr_CH.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  cdebootstrap                  0.5.7      Bootstrap a Debian system
ii  debootstrap                   1.0.26     Bootstrap a basic Debian system

Versions of packages live-build recommends:
ii  cpio                          2.11-6     GNU cpio -- a program to manage ar
ii  gettext-base                  0.18.1.1-3 GNU Internationalization utilities
ii  gnu-fdisk                     1.2.4-3+b1 Linux fdisk replacement based on l

Versions of packages live-build suggests:
ii  dosfstools                 3.0.9-1       utilities for making and checking 
ii  fakeroot                   1.14.5-1      Gives a fake root environment
ii  genisoimage                9:1.1.11-1    Creates ISO-9660 CD-ROM filesystem
ii  memtest86+                 4.10-1.1      thorough real-mode memory tester
ii  mtools                     4.0.12-1      Tools for manipulating MSDOS files
ii  parted                     2.3-5         The GNU Parted disk partition resi
ii  squashfs-tools             1:4.1-3       Tool to create and append to squas
ii  sudo                       1.7.4p4-6     Provide limited super user privile
ii  syslinux                   2:4.02+dfsg-7 collection of boot loaders
ii  uuid-runtime               2.17.2-9      runtime components for the Univers
ii  win32-loader               0.6.22        Debian-Installer loader for win32

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iJwEAQECAAYFAk1JL6QACgkQKA1Vt+jBwDj7MQP/XhfZc7sqppDc+zibry+Z21FQ
UGsOPbw6FmEtHlNLJm7XuzWlBG2M/L19ojKx6r974n+uO3dnEXmxw5AoNucW+0m6
DWPeTLWyl4txaCvLcS9JaZwNPwHlEZBuWY8I1JNnIDhdcKEBmtjShwUiVw9NpOEy
D1mTm6fTNafkhpJFTXc=
=J1k+
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#611794; Package live-build. (Wed, 02 Feb 2011 10:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 02 Feb 2011 10:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 611794@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: "Didier Raboud" <odyx@debian.org>, 611794@bugs.debian.org
Subject: Re: Bug#611794: live-build: Doesn't upgrade properly from 2.0.11-1
Date: Wed, 2 Feb 2011 10:40:58 -0000
On Wed, February 2, 2011 10:19, Didier Raboud wrote:
> while trying to upgrade live-build from 2.0.11-1 to 2.0.12-1, I
> encountered
> the following error:
[...]
> Unpacking replacement live-build ...
> dpkg: error processing /var/cache/apt/archives/live-build_2.0.12-1_all.deb
> (--unpack):
>  unable to open
> '/usr/share/live/build/includes/squeeze/common/doc/bug-maint-mailcontrol.txt.dpkg-new':
> No such file or directory

This is due to the fact that live-build 2.0.11-1 shipped
/usr/share/live/build/includes/squeeze as a symlink to the lenny folder.
2.0.12-1 ships them as separate directories, so the preinst needs to take
care of removing the old symlink.

Regards,

Adam





Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Wed, 02 Feb 2011 11:51:07 GMT) Full text and rfc822 format available.

Notification sent to Didier Raboud <odyx@debian.org>:
Bug acknowledged by developer. (Wed, 02 Feb 2011 11:51:07 GMT) Full text and rfc822 format available.

Message #15 received at 611794-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 611794-close@bugs.debian.org
Subject: Bug#611794: fixed in live-build 2.0.12-2
Date: Wed, 02 Feb 2011 11:47:17 +0000
Source: live-build
Source-Version: 2.0.12-2

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_2.0.12-2_all.deb
  to main/l/live-build/live-build-cgi_2.0.12-2_all.deb
live-build_2.0.12-2.diff.gz
  to main/l/live-build/live-build_2.0.12-2.diff.gz
live-build_2.0.12-2.dsc
  to main/l/live-build/live-build_2.0.12-2.dsc
live-build_2.0.12-2_all.deb
  to main/l/live-build/live-build_2.0.12-2_all.deb
live-helper_2.0.12-2_all.deb
  to main/l/live-build/live-helper_2.0.12-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 611794@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 02 Feb 2011 12:35:41 +0100
Source: live-build
Binary: live-build live-build-cgi live-helper
Architecture: source all
Version: 2.0.12-2
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
 live-helper - Debian Live - System Build Scripts (transitional package)
Closes: 611794
Changes: 
 live-build (2.0.12-2) unstable; urgency=low
 .
   * Adding preinst script to remove
     /usr/share/live/build/includes/squeeze (Closes: #611794).
Checksums-Sha1: 
 fb6eb97124873e096586501e0c31d477701632ca 1239 live-build_2.0.12-2.dsc
 e0da2ee7542a0339217cdc5d40b7af21c346bbbf 38400 live-build_2.0.12-2.diff.gz
 d7acd055936306c05c2af4f069dda377faa9d09a 1990088 live-build_2.0.12-2_all.deb
 958e83a43c183a24642332a31503d86a0a80b12d 54770 live-build-cgi_2.0.12-2_all.deb
 5116cf05fdf6da0489bc5c6f0b2ce0a95837b527 49558 live-helper_2.0.12-2_all.deb
Checksums-Sha256: 
 e9c6e30799914e33f8946ff90d6e82ae631698b6013f7b91a083ebdc0b368dd2 1239 live-build_2.0.12-2.dsc
 83b647b695c1e430ad4164b1246da23bb37b8148d08f49cbce1a82a170dd6ad1 38400 live-build_2.0.12-2.diff.gz
 7293792b4c591bc2fac142a7d446e4a85de06f41c753400b79423aeece42c1c2 1990088 live-build_2.0.12-2_all.deb
 4a8b85454ce30f2293cb3d1f0105bd5009785819386863a268ad0311d1de0e10 54770 live-build-cgi_2.0.12-2_all.deb
 bf2c3d087169d5de65b971e683ba6e4ce36e446db4335d4d26b3bd995151e1f6 49558 live-helper_2.0.12-2_all.deb
Files: 
 c558eb82a364aa838655cc36a6ac5351 1239 misc optional live-build_2.0.12-2.dsc
 b13ec99d00de77a494006007ba0ee742 38400 misc optional live-build_2.0.12-2.diff.gz
 dc5dac1e5452b7792adca25e6e6e8960 1990088 misc optional live-build_2.0.12-2_all.deb
 c13452b2162f98051a2abbc734028083 54770 misc optional live-build-cgi_2.0.12-2_all.deb
 123398857954a28c0e5b8e1b1e5cdde0 49558 misc optional live-helper_2.0.12-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk1JQrEACgkQ+C5cwEsrK56H4QCgpideKMdba9V7Lnf7+IZzUYlc
B4UAniJadwPFp2aAoXL4zrDPbhjjE/o6
=O846
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#611794; Package live-build. (Wed, 02 Feb 2011 17:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Mattiolo <marco.mattiolo@hotmail.it>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 02 Feb 2011 17:03:07 GMT) Full text and rfc822 format available.

Message #20 received at 611794@bugs.debian.org (full text, mbox):

From: Marco Mattiolo <marco.mattiolo@hotmail.it>
To: 611794@bugs.debian.org
Subject: Thank you
Date: Wed, 2 Feb 2011 17:57:51 +0100
The live-build 2.0.12-2 version in unstable repos fixed this for me.
Thank you




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 10:25:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:18:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.